Bug 236979 - New port: sysutils/swapusage Get the total swap usage on a FreeBSD system
Summary: New port: sysutils/swapusage Get the total swap usage on a FreeBSD system
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-04-03 06:13 UTC by Athanasios Douitsis
Modified: 2019-05-28 03:40 UTC (History)
0 users

See Also:


Attachments
New port: sysutils/swapusage (1.64 KB, text/plain)
2019-04-03 06:13 UTC, Athanasios Douitsis
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Athanasios Douitsis 2019-04-03 06:13:05 UTC
Created attachment 203337 [details]
New port: sysutils/swapusage

Very very small utility that reports the percentage of used swap space. Report can be piped to a Prometheus textfile without the need to parse the output of pstat -T or swapinfo.

Attaching the shar file, this port can also be found at https://github.com/aduitsis/swapusage_freebsd_port and the actual code at https://github.com/aduitsis/freebsd_swapusage.
Comment 1 commit-hook freebsd_committer 2019-05-26 19:32:25 UTC
A commit references this bug:

Author: swills
Date: Sun May 26 19:32:09 UTC 2019
New revision: 502748
URL: https://svnweb.freebsd.org/changeset/ports/502748

Log:
  sysutils/swapusage: create port

  Very small utility that reports the percentage of swap space that is
  used. Report can be piped to a Prometheus textfile without processing.

  WWW: https://github.com/aduitsis/freebsd_swapusage

  PR:		236979
  Submitted by:	Athanasios Douitsis <aduitsis@douitsis.com>

Changes:
  head/sysutils/Makefile
  head/sysutils/swapusage/
  head/sysutils/swapusage/Makefile
  head/sysutils/swapusage/distinfo
  head/sysutils/swapusage/pkg-descr
Comment 2 Steve Wills freebsd_committer 2019-05-26 19:33:18 UTC
Committed, thanks!
Comment 3 Athanasios Douitsis 2019-05-27 07:53:26 UTC
Many thanks!